#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int L,R,N,brojac=0;
    float p,q,r;
    scanf("%f %f %f %d %d",&p,&q,&r,&L,&R);
    for (N=L;N<=R;N++)
    {
        if ((ceil(N/p)+ceil(N/q)+ceil(N/r))<=N) brojac++;
    }
    printf("%d",brojac);
}